ParserAction (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.syntax

## Class ParserAction

- java.lang.Object
- - hlt.language.util.Indexed
  - - hlt.language.util.ArrayIndexed
    - - hlt.language.syntax.ParserAction

-     public class ParserAction
      extends ArrayIndexed

  Class of LR parsing actions used by the parser.
  Version:
    Last modified on Fri Apr 13 20:09:18 2012 by hak
  Author:
    Hassan Aït-Kaci
  Copyright:
    © by the author

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `info`
    `int` | `type`

    - ### Fields inherited from class hlt.language.util.ArrayIndexed

      `set`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserAction(int type)`
    `ParserAction(int type, int info)`
    `ParserAction(int type, int info, int index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `boolean` | `isChoice()`
    `boolean` | `isDynamic()`
    `boolean` | `isError()`
    `boolean` | `isReduce()`
    `boolean` | `isShift()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class hlt.language.util.Indexed

      `hashCode, index`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public int type

    - #### info

          public int info

  - ### Constructor Detail

    - #### ParserAction

          public ParserAction(int type)

    - #### ParserAction

          public ParserAction(int type,
                      int info)

    - #### ParserAction

          public ParserAction(int type,
                      int info,
                      int index)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `ArrayIndexed`

    - #### isError

          public boolean isError()

    - #### isReduce

          public boolean isReduce()

    - #### isShift

          public boolean isShift()

    - #### isDynamic

          public boolean isDynamic()

    - #### isChoice

          public boolean isChoice()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Indexed`